Add Puma workers/threads configuration

02/07/2020 03:03 AM - Suresh Thirugnanasambandan

Status: Closed   

Priority: Normal   

Assignee: Suresh Thirugnanasambandan   

Category: Packaging   

Target version:    

Difficulty:  Fixed in Releases: 2.0.1, 2.1.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7421,

https://github.com/theforeman/puppet-for

eman/pull/790

  

Description

Add Puma configuration to foreman. This has two tasks:

1. Adding baseline configuration file to foreman core (foreman)

2. Adding systemd override environment variables to tune specific puma attributes. (puppet-foreman)

Related issues:

Related to Installer - Tracker #28999: Deploy Foreman with Puma as the applic... Closed

Has duplicate Installer - Bug #28954: Add Puma Configuration Duplicate

Associated revisions

Revision 34a2b385 - 02/19/2020 12:35 PM - Suresh Thirugnanasambandan

Fixes #28955 - Added puma configuration

Revision 94e03d58 - 02/19/2020 08:19 PM - Suresh Thirugnanasambandan

Fixes #28955 Add puma configuration tuning options

History

#1 - 02/07/2020 03:06 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/7421 added

#2 - 02/07/2020 03:10 AM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman/pull/790 added

#3 - 02/12/2020 08:30 PM - Suresh Thirugnanasambandan

- Related to Tracker #28999: Deploy Foreman with Puma as the application server by default added

#4 - 02/19/2020 12:35 PM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#5 - 02/19/2020 01:01 PM - Suresh Thirugnanasambandan

- Status changed from Ready For Testing to Closed

Applied in changeset 34a2b385cf4ad4998ef5d4637ac5f25726cef5e9.

#6 - 03/16/2020 12:33 PM - Ewoud Kohl van Wijngaarden

- Tracker changed from Bug to Feature
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/34a2b385cf4ad4998ef5d4637ac5f25726cef5e9


- Subject changed from Add Puma Configuration to Add Puma workers/threads configuration

- Category set to Packaging

- Triaged changed from No to Yes

#7 - 05/27/2020 01:13 PM - Tomer Brisker

- Has duplicate Bug #28954: Add Puma Configuration added

#8 - 06/07/2020 01:12 PM - Tomer Brisker

- Fixed in Releases 2.0.1 added
